<?php
defined('_JEXEC') or die;

JHtml::_('formbehavior.chosen', 'select:not(.chzn-done)');
?>

<div class="row-fluid">
	<?php
	echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
	?>

	<div class="row-fluid">
		<?php
		$contentTabs = new \LMS\Widgets\Tabs();
		$contentTabs->addTab( array('title' => $this->item->homework->title, 'active' => true) );
		echo $contentTabs->render();
		?>
	</div>

	<div class="row-fluid">
		<?php
		echo $this->toolbar;
		?>
	</div>

	<div class="row-fluid">
		<form action="<?php echo JRoute::_('index.php?option=com_joomla_lms&task=homework.results.show&course_id='.$this->course_id); ?>" method="post" id="adminForm" name="adminForm" class="form-validate form-vertical">
			<div class="row-fluid">
				<div class="span3">
					<table class="table table-bordered">
						<tr>
							<td class="nowrap">
								<?php echo JText::_('Name');?>:
							</td>
							<td class="nowrap">
								<?php echo $this->item->joomlauser->name;?>
							</td>
						</tr>
						<tr>
							<td class="nowrap">
								<?php echo JText::_('Username');?>:
							</td>
							<td class="nowrap">
								<?php echo $this->item->joomlauser->name;?>
							</td>
						</tr>
						<tr>
							<td class="nowrap">
								<?php echo JText::_('Email');?>:
							</td>
							<td class="nowrap">
								<?php echo $this->item->joomlauser->email;?>
							</td>
						</tr>
					</table>
				</div>
				<div class="span3">
					<table class="table table-bordered">
						<tr>
							<td class="nowrap">
								<?php echo JText::_('Start Date');?>:
							</td>
							<td class="nowrap">
								<?php echo $this->item->homework->start_date;?>
							</td>
						</tr>
						<tr>
							<td class="nowrap">
								<?php echo JText::_('End Date');?>:
							</td>
							<td class="nowrap">
								<?php echo $this->item->homework->end_date;?>
							</td>
						</tr>
					</table>
				</div>
			</div>

			<div class="row-fluid">
				<fieldset>
					<legend>
						<?php echo JText::_('Description');?>
					</legend>
					<?php echo $this->item->homework->description;?>
				</fieldset>
			</div>

			<?php
			echo $this->loadTemplate($this->activity_tmpl);
			?>

			<div class="row-fluid">
				<div class="span3">
					<fieldset>
						<legend>
							<?php echo JText::_('Grade');?>
						</legend>
						<?php
						$options = array();
						$options[] = JHtml::_('select.option', '', '');
						$options[] = JHtml::_('select.option', 'incomplete', JText::_('INCOMPLETE'));
						$gradebook_scale = $this->item->gradebook_scale;
						if(isset($gradebook_scale) && count($gradebook_scale)){
							foreach($gradebook_scale as $scale_item){
								$options[] = JHtml::_('select.option', $scale_item->scale_name, $scale_item->scale_name);
							}
						}
						echo JHtml::_('select.genericlist', $options, 'jform[grade]', 'class="inputbox span12"', 'value', 'text', $this->item->grade);
						echo $this->toolbar_grade;
						?>
					</fieldset>
				</div>
				<div class="span9">
					<fieldset>
						<legend>
							<?php echo JText::_('Comments');?>
						</legend>
						<?php echo $this->form->getInput('comments');?>
					</fieldset>
				</div>
			</div>

			<input type="hidden" name="task" value="homework.homeworks.show" />
			<?php echo $this->form->renderField('course_id');?>
			<?php echo $this->form->renderField('hw_id');?>
			<?php echo $this->form->renderField('id');?>
			<input type="hidden" name="Itemid" value="<?php echo $this->Itemid;?>" />
			<?php echo JHtml::_('form.token');?>
		</form>
	</div>

</div>