<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * 
 */

namespace LMS\Tools\Mailbox\Repositories;
 
defined('_JEXEC') or die;

use LMS\Libraries\Base;
use LMS\Tools\Mailbox\Tables;

class MailboxConfig extends Base\Repository
{	
	public function __construct($options = array()) 
	{
		parent::__construct($options);
		$this->table = new Tables\MessageConfiguration($this->db);				
	}
	
	public function get($name) 
	{
		static $list;
		
		if(!isset($list)) {
			$query = $this->db->getQuery(true);
			$query->from($this->table);
			$query = $this->prepareFilter($query, $filterOptions);			
			$query->select('mailconfig.name, mailconfig.value');
			
			$this->db->setQuery($query);
			
			$list = $this->db->loadAssocList('name');			
		}
		
		$value = isset($list[$name]->value)?$list[$name]->value:'';
		
		return $value;
	}
}
