<?php
defined('_JEXEC') or die;

class ModJlmsQuizzesHelper
{
	public static function getLastIncompleteQuiz($params)
	{
		$pathToLms = JPATH_SITE . '/components/com_joomla_lms';
		require_once ($pathToLms . '/libraries/servicelocator.php');

		\LMS\Libraries\ServiceLocator::registerNamespace('LMS', $pathToLms);
		\LMS\Libraries\ServiceLocator::activate();

		\LMS\Libraries\ServiceLocator::load('lib.base');

		$jlmsConfig = \LMS\Libraries\ServiceLocator::get('config');

		$course_id = $jlmsConfig->get('course_id');

//		var_dump($course_id);

		$resultQuiz = new stdClass();

		if($course_id){
			$db = \LMS\Libraries\ServiceLocator::get('db');
			$user = \LMS\Libraries\ServiceLocator::get('user');

			$query = "SELECT user_id FROM #__lms_users_in_groups WHERE user_id = ".$user->get('id')
				. "\n AND course_id = '".$course_id."'"
				. "\n AND ( ((publish_start = 1) AND (start_date <= '".date('Y-m-d')."')) OR (publish_start = 0) )"
				. "\n AND ( ((publish_end = 1) AND (end_date >= '".date('Y-m-d')."')) OR (publish_end = 0) )";
			$db->setQuery($query);
			$user_enrolled = $db->LoadResult();

//			var_dump($user_enrolled);

			$user_is_teacher = false;
			if (!$user_enrolled) {
				$query = "SELECT user_id FROM #__lms_user_courses WHERE user_id = ".$user->get('id')
					. "\n AND course_id = '".$course_id."'";
				$db->SetQuery($query);
				$user_is_teacher = $db->LoadResult();
				if (!$user_is_teacher) {
					//check if admin
					$query = "SELECT a.user_id FROM #__lms_users as a, #__lms_usertypes as b WHERE a.user_id = ".$user->get('id')
						. "\n AND a.lms_usertype_id = b.id AND b.roletype_id = 4";
					$db->SetQuery($query);
					$user_is_teacher = $db->LoadResult();
				}
			}

//			var_dump($user_is_teacher);

			if ($user_enrolled || $user_is_teacher) {
				$query = "SELECT params FROM #__lms_courses WHERE id = $course_id";
				$db->SetQuery($query);
				$course_params_str = $db->LoadResult();
				$course_params = new JParameter( $course_params_str );
				if ( intval($course_params->get('lpath_redirect'))) {
					$lpath_id = intval($course_params->get('lpath_redirect'));
				}
				//get list of course lpaths
				$query = "SELECT a.c_id, a.c_title, a.course_id"
					. "\n, sq.c_passed"
					. "\n FROM #__lms_quiz_t_quiz as a"
					. "\n LEFT JOIN #__lms_quiz_r_student_quiz as sq"
					. "\n ON a.c_id = sq.c_quiz_id"
					. "\n AND sq.c_student_id = '".$user->get('id')."'"
					. "\n WHERE 1"
					. "\n AND a.course_id = '".$course_id."'"
					. "\n AND a.published = 1"
					. "\n ORDER BY a.c_title"
				;
				$db->SetQuery($query);
				$quizzes = $db->loadObjectList();
			}

//			echo '<pre>';
//			print_r($quizzes);
//			echo '</pre>';

			if (isset($quizzes) && count($quizzes)) {

				if (!defined('DS')) { define( 'DS', DIRECTORY_SEPARATOR ); }
				if (!defined('_JOOMLMS_FRONT_HOME')) { define('_JOOMLMS_FRONT_HOME', JPATH_SITE . DS . 'components' . DS . 'com_joomla_lms'); }

				foreach($quizzes as $quiz){
					$quiz->c_passed = $quiz->c_passed === null ? 0 : $quiz->c_passed;

					if(isset($quiz->c_passed) && !$quiz->c_passed){
						$resultQuiz = $quiz;
						break;
					}
				}

				require_once(_JOOMLMS_FRONT_HOME . "/includes/quiz/front.joomlaquiz.class.php");
				require_once(_JOOMLMS_FRONT_HOME . "/includes/quiz/front_html.joomlaquiz.class.php");
			}
		}

		return $resultQuiz;
	}
}